Bug 1104678 - Web Application Authentication
Summary: Web Application Authentication
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF21 SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-04 13:34 UTC by Jaroslav Reznik
Modified: 2014-12-08 15:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-08 15:22:37 UTC
Type: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-06-04 13:34:31 UTC
This is a tracking bug for Change: Web Application Authentication
For more details, see: https://fedoraproject.org//wiki/Changes/Web_App_Authentication

On operating system level, there are numerous authentication and identity lookup mechanisms, some of them using sssd. With new Apache modules and new sssd, some of those mechanisms become more easily consumable by web applications. Various web application environments and frameworks can then consume results of the authentication and information retrieval using environment variables similar to REMOTE_USER.

Comment 1 Jaroslav Reznik 2014-07-04 10:43:48 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 2 Jan Pazdziora 2014-07-04 10:45:43 UTC
(In reply to Jaroslav Reznik from comment #1)
> 
> This bug should be set to the MODIFIED state to indicate that it achieved
> completeness.

Done.

Comment 3 Simon Clark 2014-08-15 14:07:54 UTC
Hello.

I have drafted the Fedora 21 release note for the Web Application Authentication change.  Please would you take a look at https://fedoraproject.org/wiki/Documentation_Development_Web_Beat#Web_Application_Authentication and let me know if it is OK or if anything needs to be added or changed?

Thanks.

Comment 4 Jan Pazdziora 2014-08-15 14:14:43 UTC
(In reply to Simon Clark from comment #3)
> https://fedoraproject.org/wiki/
> Documentation_Development_Web_Beat#Web_Application_Authentication and let me
> know if it is OK or if anything needs to be added or changed?

It's OK. Thank you.

Comment 5 Jaroslav Reznik 2014-10-07 12:23:58 UTC
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule


Note You need to log in before you can comment on or make changes to this bug.